#### TeeTime

![Screenshot](images/code_screenshot.png)

Implement your analysis or filters in a new, easy and fast way.

#### Simple & Fast

![Pipelining](images/code_screenshot.png)

The main focus is on fast execution and easy usage.

#### Start today

![Pipelining](images/code_screenshot.png)

Predefined stages are provided within the source code. You can immediatly start to write your own analysis.

---


## What is it?

<!--- ![Logo](images/teetime-wo-arrows-shrinked.png) TeeTime Logo -->
TeeTime is a Pipes-And-Filters-Framework for Java.
	
It provides various features, which will bring you to the next level of analysis programming, such like:
		
- Concurrent execution of stages
		
- Flexible connection between stages
		
- Typed ports
		
- Pre-defined stages and pipelines

## Where to get it?

TeeTime is available in many ways. If your projects use Maven, just add following dependency to your ``pom.xml``:

```xml
<dependency>
  <groupId>net.sourceforge.teetime</groupId>
  <artifactId>teetime</artifactId>
  <version>1.0</version>
</dependency>
```

>TeeTime's first official release is not published yet. For more information, see [download](download.html).

To get the source code or the plain jar, take a look at the [download](download.html) section.

## How to use it?

To make working with TeeTime as pleasant and efficient as possible, this homepage provides various tools for you, which explain TeeTime's functions.

You can take a closer look at:

- [TeeTime's Wiki](https://build.se.informatik.uni-kiel.de/gitlab/chw/teetime/wikis/home). 

- [API Documentation](apidocs/index.html). 

	 